<?php
/*
Template Name: Archives
*/
?>

<?php get_header(); ?>

<div id="content">

	<h2 class="pagetitle"><?php the_title(); ?></h2>
	
    <div class="entry">
    	
    	<!--Latest Posts-->
        <h4><?php _e('The Latest 50 Posts', 'themejunkie'); ?>:</h4>
        <ul>
            <?php wp_get_archives('type=postbypost&limit=50&format=custom&before=<li>&after=</li>'); ?>
        </ul>
        
        <!--Categories-->
        <h4><?php _e('Categories', 'themejunkie'); ?>:</h4>
        <ul>
            <?php wp_list_categories('title_li='); ?>
        </ul>
        
        <!--Monthly Archive-->
        <h4><?php _e('Monthly Archive', 'themejunkie'); ?>:</h4>
        <ul>
            <?php wp_get_archives('type=monthly'); ?>
        </ul>
        
    </div> <!--end .entry-->
    
</div> <!--end #content-->

<?php get_sidebar(); ?>

<?php get_footer(); ?>
