<?php
/*---------------------------------------------------------------------------------*/
/* Loads all the .php files found in /includes/widgets/ directory */
/*---------------------------------------------------------------------------------*/

$template_directory = get_template_directory();

include( $template_directory . '/includes/widgets/widget-woo-search.php' );
include( $template_directory . '/includes/widgets/widget-woo-tabs.php' );
include( $template_directory . '/includes/widgets/widget-woo-video.php' );
include( $template_directory . '/includes/widgets/widget-woo-ads.php' );
include( $template_directory . '/includes/widgets/widget-woo-ads-125.php' );
include( $template_directory . '/includes/widgets/widget-woo-ads-250.php' );
include( $template_directory . '/includes/widgets/widget-woo-flickr.php' );

/*---------------------------------------------------------------------------------*/
/* Deregister Default Widgets */
/*---------------------------------------------------------------------------------*/

if ( ! function_exists( 'woo_deregister_widgets' ) ) {
	function woo_deregister_widgets(){
	    unregister_widget( 'WP_Widget_Search' );         
	}
}
add_action( 'widgets_init', 'woo_deregister_widgets' );  
?>