<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>

<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<!--[if lt IE 7]>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/unitpngfix.js"></script>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/ie6.css" media="screen" />
<![endif]--> 

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<?php
	$portfolio = get_option('woo_pf_cat'); // Name of the portfolio cat
	$GLOBALS['ex_pf'] = $wpdb->get_var("SELECT term_id FROM $wpdb->terms WHERE name='$portfolio'");
	
	$about = get_option('woo_about'); // Name of the about page
	$GLOBALS['about_id'] = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '$about'");
	
	$archives = get_option('woo_archives'); // Name of the archives page
	$GLOBALS['archives_id'] = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '$archives'");
?>

<div id="background">

<div id="page">

	<div id="header">

		<div id="logo">
            <h1><a href="<?php bloginfo('url'); ?>"><img src="<?php if ( get_option('woo_logo') <> "" ) { echo get_option('woo_logo'); } else { ?><?php bloginfo('template_directory'); ?>/images/logo.png<?php } ?>" alt="<?php bloginfo('name'); ?>" /></a></h1>			
			<p id="description"><?php bloginfo('description') ?> <a href="<?php bloginfo('wpurl'); ?>/?page_id=<?php echo $GLOBALS['about_id']; ?>" title="<?php _e('Read more...', 'woothemes'); ?>"><?php _e('Read more', 'woothemes'); ?> &#187;</a></p>
		</div>
		<!--/logo-->

		<div id="menu">
			<div id="nav1">
				<?php
				if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
					wp_nav_menu( array( 'depth' => 1, 'sort_column' => 'menu_order', 'container' => 'ul', 'link_before' => '<span>', 'link_after' => '</span>', 'theme_location' => 'primary-menu' ) );
				} else {
				?>
				<ul>
					<?php 
                	if ( get_option('woo_custom_nav_menu') == 'true' ) {
                    	if ( function_exists('woo_custom_navigation_output') )
                        	woo_custom_navigation_output('before_title=<span>&after_title=</span>&depth=1');
    
                	} else { ?>
                    <li <?php if ( is_home() ) { ?> class="current_page_item" <?php } ?>><a href="<?php echo get_option('home'); ?>/"><span><?php _e('Home', 'woothemes'); ?></span></a></li>
                    <?php
					$pages = wp_list_pages('sort_column=menu_order&title_li=&echo=0&depth=1&exclude='.$GLOBALS['archives_id']);
                    $pages = preg_replace('%<a ([^>]+)>%U','<a $1><span>', $pages);
                    $pages = str_replace('</a>','</span></a>', $pages);
                    echo $pages;
                    ?>
                    <?php } ?>
				</ul>
				<?php } ?>
			</div>
			<!--/nav1-->
        </div>
        <!--menu-->

		<!-- Featured portfolio item -->
		<?php include(TEMPLATEPATH . '/includes/featured.php'); ?>
        
	</div>
	<!--/header -->