<?php



function woo_options() {
// VARIABLES
$themename = "Fresh Folio";
$shortname = "woo";
$manualurl = 'http://www.woothemes.com/support/theme-documentation/fresh-folio/';



$GLOBALS['template_path'] = get_bloginfo('template_directory');

//Access the WordPress Categories via an Array
$woo_categories = array();  
$woo_categories_obj = get_categories('hide_empty=0');
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$woo_pages = array();
$woo_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($woo_pages_obj as $woo_page) {
    $woo_pages[$woo_page->ID] = $woo_page->post_name; }
$woo_pages_tmp = array_unshift($woo_pages, "Select a page:");       


//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options


$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");

// THIS IS THE DIFFERENT FIELDS
$options = array();   

$options[] = array( "name" => "General Settings",
                    "type" => "heading");
                        
$options[] = array( "name" => "Theme Stylesheet",
					"desc" => "Select your themes alternative color scheme.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);

$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify an image URL directly.",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");    
                                                                                     
$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px <a href='http://www.faviconr.com/'>ico image</a> that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 
                                               
$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");        

$options[] = array( "name" => "RSS URL",
					"desc" => "Enter your preferred RSS URL. (Feedburner or other)",
					"id" => $shortname."_feedburner_url",
					"std" => "",
					"type" => "text");
                    
$options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");

$options[] = array(	"name" => "About Page",
					"desc" => "Please select your about page.",
					"id" => $shortname."_about",
					"std" => "Select a page:",
					"type" => "select",
					"options" => $woo_pages);

$options[] = array(	"name" => "Archives Page",
					"desc" => "Please select your archive page. TIP: Add your archive by creating a new page (Write > Page), and selecting the 'Archive' page template.",
					"id" => $shortname."_archives",
					"std" => "Select a page:",
					"type" => "select",
					"options" => $woo_pages);
    
$options[] = array(	"name" => "Front page layout",
					"type" => "heading");					

$options[] = array( "name" => "Portfolio Category",
					"desc" => "Select the category that will hold your portfolio posts. The latest post from this category will be displayed on the front page.",
					"id" => $shortname."_pf_cat",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $woo_categories);

$options[] = array(	"name" => "Number of Normal Posts",
					"desc" => "Select the number of large posts you'd like to display on the homepage.",
					"id" => $shortname."_home_normal",
					"std" => "Select a number:",
					"type" => "select",
					"options" => $other_entries);					

$options[] = array(	"name" => "Show full post?",
					"desc" => "Check this to display the full post eg. use the_content() instead of the_excerpt().",
					"id" => $shortname."_home_excerpt",
					"std" => "true",
					"type" => "checkbox");	
 
$options[] = array( "name" => "Dynamic Images",
				    "type" => "heading");    
                   
$options[] = array(	"name" => "Enable Portfolio",
					"desc" => "This will enable the thumb.php script. It dynamicaly resizes images on your site.",
					"id" => $shortname."_portfolio_resize",
					"std" => "true",
					"type" => "checkbox");	

$options[] = array( "name" => "Portfolio Image Dimensions",
					"desc" => "Enter an integer value i.e. 250 for the desired size which will be used when dynamically creating the images.",
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_portfolio_image_width',
											'type' => 'text',
											'std' => 515,
											'meta' => 'Width'),
									array(  'id' => $shortname. '_portfolio_image_height',
											'type' => 'text',
											'std' => 180,
											'meta' => 'Height')
								  ));

$options[] = array(	"name" => "Enable Thumbnails",
					"desc" => "This will enable the thumb.php script. It dynamicaly resizes images on your site.",
					"id" => $shortname."_thumb_resize",
					"std" => "true",
					"type" => "checkbox");	

$options[] = array( "name" => "Thumbnail Image Dimensions",
					"desc" => "Enter an integer value i.e. 250 for the desired size which will be used when dynamically creating the images.",
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_thumb_width',
											'type' => 'text',
											'std' => 75,
											'meta' => 'Width'),
									array(  'id' => $shortname. '_thumb_height',
											'type' => 'text',
											'std' => 75,
											'meta' => 'Height')
								  ));

$options[] = array(	"name" => "Enable Posts",
					"desc" => "This will enable the thumb.php script. It dynamicaly resizes images on your site.",
					"id" => $shortname."_posts_resize",
					"std" => "true",
					"type" => "checkbox");	

$options[] = array( "name" => "Post Image Dimensions",
					"desc" => "Enter an integer value i.e. 250 for the desired size which will be used when dynamically creating the images.",
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_posts_image_width',
											'type' => 'text',
											'std' => 440,
											'meta' => 'Width'),
									array(  'id' => $shortname. '_posts_image_height',
											'type' => 'text',
											'std' => 150,
											'meta' => 'Height')
								  ));

// Add extra options through function
if ( function_exists("woo_options_add") )
	$options = woo_options_add($options);

if ( get_option('woo_template') != $options) update_option('woo_template',$options);      
if ( get_option('woo_themename') != $themename) update_option('woo_themename',$themename);   
if ( get_option('woo_shortname') != $shortname) update_option('woo_shortname',$shortname);
if ( get_option('woo_manual') != $manualurl) update_option('woo_manual',$manualurl);

                                     
// Woo Metabox Options
                    

$woo_metaboxes = array(
					   
		"image" => array (
			"name"		=> "image",
			"label" 	=> "Image",
            "type" => "upload",
			"desc"      => "Upload image for the General Preview Image (515x180px)"
		),
		"thumb" => array (
			"name"		=> "thumb",
			"label" 	=> "Thumbnail",
            "type" => "upload",
			"desc"      => "Upload image for the Thumbnail (75x75px)."
		),
		"preview" => array (
			"name"		=> "preview",
			"label" 	=> "Preview",
            "type" => "upload",
			"desc"      => "Upload image for the Larger preview image (Slimbox)."
		),
		"url" => array (
			"name"		=> "url",
			"default" 	=> "",
			"label" 	=> "Url",
			"type" 		=> "text",
			"desc"      => "Enter the URL for the DEMO link."
		),
	);
    
// Add extra metaboxes through function
if ( function_exists("woo_metaboxes_add") )
	$woo_metaboxes = woo_metaboxes_add($woo_metaboxes);
    
if ( get_option('woo_custom_template') != $woo_metaboxes) update_option('woo_custom_template',$woo_metaboxes);      

/*
function woo_update_options(){
        $options = get_option('woo_template',$options);  
        foreach ($options as $option){
            update_option($option['id'],$option['std']);
        }   
}

function woo_add_options(){
        $options = get_option('woo_template',$options);  
        foreach ($options as $option){
            update_option($option['id'],$option['std']);
        }   
}


//add_action('switch_theme', 'woo_update_options'); 
if(get_option('template') == 'wooframework'){       
    woo_add_options();
} // end function 
*/


}

add_action( 'admin_head','woo_options' );  

?>