<?php get_header(); ?>

	<div id="columns">
		<div id="centercol">

            <div class="content">
                <?php if(have_posts()) : ?><?php while(have_posts()) : the_post() ?>
    
                <div id="post-<?php the_ID(); ?>" class="box post">

                    <h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
                    <div class="hl"></div>
                    
                    <div class="entry">                   
    
                    <?php if ( get_post_meta($post->ID,'image', true) ) { ?> <!-- DISPLAYS THE IMAGE URL SPECIFIED IN THE CUSTOM FIELD -->
                    
                    <div class="pic">
						<?php 
							$height = get_option('woo_thumb_height'); if ( $height <> "" ) $height = 150;
							$width = get_option('woo_thumb_width'); if ( $width <> "" ) $width = 440;
							woo_image( 'width='.$width.'&height='.$height );						
						?>
                    </div>   	
                    
                    <?php } ?>										
                    
                    <?php the_content(); ?>
                    
                    </div>
                
                </div>
                <!--/box-->
    
                <?php endwhile; else : ?>
    
                <div class="post box">
                    <div class="entry-head"><h2><?php _e('404 - Not Found', 'woothemes'); ?></h2></div>
                    <div class="entry-content"><p><?php _e('The page you are looking for is not here.', 'woothemes'); ?></p></div>
                </div>
    
                <?php endif; ?>
            </div>
    
		</div>
		<!--/centercol -->

<?php get_sidebar(); ?>
    
		<div class="fix"></div>
	</div>
	<!--/columns -->

<?php get_footer(); ?>