<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>

<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/reset.css" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/960.css" type="text/css" />	
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />

<link rel="icon" type="image/png" href="<?php echo get_option('woo_favicon'); ?>" /> 

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!--[if IE 6]>
	<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/ie6.css" type="text/css" />
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/menu.js"></script>
	<script src="<?php bloginfo('template_directory'); ?>/includes/js/pngfix.js" type="text/javascript">></script>
	<script src="<?php bloginfo('template_directory'); ?>/includes/js/pngelements.js" type="text/javascript">></script>
<![endif]-->	

<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_directory'); ?>/css/ie7.css" />
<![endif]-->


<!--[if lt IE 7]>
	
<![endif]--> 

<?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<!-- Get Portfolio Category -->
<?php $cat = get_option('woo_portfolio_category'); $GLOBALS[portfolio_cat] = $wpdb->get_var("SELECT term_id FROM $wpdb->terms WHERE name='$cat'"); ?>

<div id="bg-wrapper">
	
	<div class="container_16">
	
		<div id="header">
		
			<div id="slogan">
			
				<span><?php bloginfo('description'); ?></span>
		
			</div><!-- /slogan -->
			
			<h1><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
			
			<div id="logo">
				
				<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php if ( get_option('woo_logo') <> "" ) { echo get_option('woo_logo'); } else { bloginfo('template_directory'); ?>/<?php echo woo_style_path(); ?>/logo-trans.png<?php } ?>" alt="<?php bloginfo('name'); ?>" /></a>
			
			</div><!-- /logo -->
			
			<div id="nav">
				<?php
				if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
					wp_nav_menu( array( 'depth' => 5, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'navigation', 'theme_location' => 'primary-menu' ) );
				} else {
				?>
				<ul id="navigation">
						<?php 
                		if ( get_option('woo_custom_nav_menu') == 'true' ) {
                    		if ( function_exists('woo_custom_navigation_output') )
                        		woo_custom_navigation_output('name=Woo Menu 1&depth=3');
    
                		} else { ?>
						<li><a href="<?php bloginfo('url'); ?>"><?php _e('Home',woothemes); ?></a></li>
						
						<?php 
							if (get_option('woo_cat_menu') == 'true') 
								wp_list_categories('sort_column=menu_order&depth=3&title_li=&exclude='.get_option('woo_nav_exclude')); 
							else
								wp_list_pages('sort_column=menu_order&depth=3&title_li=&exclude='.get_option('woo_nav_exclude')); 
						?>
						<?php } ?>
						<span class="clear"></span>
				</ul>
				<?php } ?>
			
			</div>
	
		</div><!-- /header -->
		
		<div class="fix"></div>