<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>

<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
<?php if ( get_option('woo_centered') == "true" ) { ?><link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/centered.css" media="screen" /><?php } ?>

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    
<!--[if lt IE 7]>
<script src="http://ie7-js.googlecode.com/svn/version/2.0(beta2)/IE7.js" type="text/javascript"></script>
<![endif]-->

<?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>  
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<!-- TOP MENU STARTS -->
	<div id="top-menu-out">
	<div id="top-menu">
		<?php
		if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
			wp_nav_menu( array( 'depth' => 3, 'sort_column' => 'menu_order', 'container' => 'ul', 'theme_location' => 'primary-menu' ) );
		} else {
		?>
		<ul>
			<?php 
            if ( get_option('woo_custom_nav_menu') == 'true' ) {
            	if ( function_exists('woo_custom_navigation_output') )
                	woo_custom_navigation_output('name=Woo Menu 1&depth=3');
    
            } else { ?>
			<?php if (is_page()) { $highlight = "page_item"; } else {$highlight = "page_item current_page_item"; } ?>
			<li class="<?php echo $highlight; ?> first"><a href="<?php bloginfo('url'); ?>"><?php _e('Home', woothemes); ?></a></li>
			<?php wp_list_pages('sort_column=menu_order&depth=3&title_li='); ?>
			<?php } ?>
		</ul>
		<?php } ?>
	</div>
	</div>
	<!-- TOP MENU ENDS -->
	<!-- HEADER STARTS -->
	<div id="header-out">
	<div id="header-bg">
	<div id="header">
		<div class="col-left">
			<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('description'); ?>">
            	<img src="<?php if ( get_option('woo_logo') <> "" ) { echo get_option('woo_logo'); } else { bloginfo('template_directory'); ?>/images/logo-trans.png<?php } ?>" alt="<?php bloginfo('name'); ?>" />
            </a>	
			<h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
		</div>
		<div class="col-right">
			<div class="date"><p><?php echo date("l, F jS, Y"); ?></p></div>
			<div id="search">
				<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">
					<div>
						<label for="search"><?php _e('Search', woothemes); ?></label>
						<input type="text" name="s" id="s" />
					</div>
				</form>
			</div>
		</div>
	</div>
	</div>
	</div>
	<!-- HEADER ENDS -->
	<!-- MAIN MENU STARTS -->
	<div id="main-menu-out">
	<?php if (get_option('woo_suckerfish') == "true") : ?>    
	<div id="main-menu" class="">
    	<?php
		if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
			wp_nav_menu( array( 'depth' => 3, 'sort_column' => 'menu_order', 'container' => 'ul', 'theme_location' => 'secondary-menu' ) );
		} else {
		?>
		<ul>
    		<?php 
            if ( get_option('woo_custom_nav_menu') == 'true' ) {
            	if ( function_exists('woo_custom_navigation_output') )
                woo_custom_navigation_output('name=Woo Menu 2&before_title=<span>&after_title=</span>&depth=3');
    
            } else { ?>
        	<?php wp_list_categories('sort_column=menu_order&depth=3&title_li=&exclude='); ?>
        	<?php } ?>
        </ul>
		<?php } ?>
    </div>
    <?php else : ?>
	<div id="main-menu" class="normal">
		<?php
		if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
			wp_nav_menu( array( 'depth' => 1, 'sort_column' => 'menu_order', 'container' => 'ul', 'theme_location' => 'secondary-menu' ) );
		} else {
		?>
		<ul>
			<?php 
            if ( get_option('woo_custom_nav_menu') == 'true' ) {
            	if ( function_exists('woo_custom_navigation_output') )
                woo_custom_navigation_output('name=Woo Menu 2&before_title=<span>&after_title=</span>&depth=1');
    
            } else { ?>
			<?php echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a$2><span>$3</span></a>', wp_list_categories('echo=0&orderby=name&title_li=&depth=1')); ?>
			<?php } ?>
		</ul>
		<?php } ?>
	</div>
    <?php endif; ?>    
	</div>
	<!-- MAIN MENU out ENDS -->

	<?php if (get_option('woo_suckerfish') == "false") : ?>    
	<!-- SUB CAT STARTS -->
	<?php 
	if (is_category()) { 
		$this_category = get_category($cat); 
    	if($this_category->category_parent)
    		$this_category = wp_list_categories('orderby=id&show_count=0&title_li=&child_of='.$this_category->category_parent."&echo=0");
		else
    		$this_category = wp_list_categories('orderby=id&show_count=0&title_li=&child_of='.$this_category->cat_ID."&echo=0"); 
	}
	
	if (is_archive() && is_category() && ($this_category != "<li>No categories</li>")) { 
	?>   

	<div id="subcat-menu-out">
        <div id="subcat-menu">

			<?php if ($this_category) { ?>
            <?php
			if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
				wp_nav_menu( array( 'depth' => 1, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_class' => 'wrap', 'theme_location' => 'secondary-menu' ) );
			} else {
			?>
			<ul class="wrap">
            	<?php 
            	if ( get_option('woo_custom_nav_menu') == 'true' ) {
            		if ( function_exists('woo_custom_navigation_output') )
                		woo_custom_navigation_output('name=Woo Menu 2&before_title=<span>&after_title=</span>&depth=1');
    
            	} else { ?>
                <?php echo $this_category; ?>
                <?php } ?>
            </ul>
            <?php } ?> 
			<?php } ?>
        </div>
	</div>

    <?php } ?>
	<!-- SUB CAT ENDS -->    
    <?php endif; ?>    
    