<?php

// =============================== Ad 180x150 widget ======================================
function adsWidget()
{
$settings = get_option("widget_adswidget");
$number = $settings['number'];
if ($number == 0) $number = 1;
$img_url = array();
$dest_url = array();

$numbers = range(1,$number); 
$counter = 0;

if (get_option('woo_ads_rotate') == "true") {
	shuffle($numbers);
}
?>
<div id="advert_180x150" class="wrap block">
<div class="widget ad-widget">
		<div class="box">
<?php
	foreach ($numbers as $number) {	
		$counter++;
		$img_url[$counter] = get_option('woo_ad_image_'.$number);
		$dest_url[$counter] = get_option('woo_ad_url_'.$number);
	
?>
        <a href="<?php echo "$dest_url[$counter]"; ?>"><img src="<?php echo "$img_url[$counter]"; ?>" alt="Ad" /></a>
<?php } ?>
			</div>
		</div>
	</div>

<!--/ads -->
<?php

}
register_sidebar_widget('Woo - Ads 180x150', 'adsWidget');

function adsWidgetAdmin() {

	$settings = get_option("widget_adswidget");

	// check if anything's been sent
	if (isset($_POST['update_ads'])) {
		$settings['number'] = strip_tags(stripslashes($_POST['ads_number']));

		update_option("widget_adswidget",$settings);
	}

	echo '<p>
			<label for="ads_number">Number of ads (1 or 2):
			<input id="ads_number" name="ads_number" type="text" class="widefat" value="'.$settings['number'].'" /></label></p>';
	echo '<input type="hidden" id="update_ads" name="update_ads" value="1" />';

}
register_widget_control('Woo - Ads 180x150', 'adsWidgetAdmin', 200, 200);
		
function FlickrBox()
{

?>

		<div class="widget flickr-widget"><h3>Flickr <?php _e('Photos',woothemes); ?></h3>
			<ul class="flickr_photos">
								
            <li class="clearfix"><script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=<?php echo get_option('woo_flickr_entries'); ?>&amp;display=latest&amp;size=s&amp;layout=x&amp;source=user&amp;user=<?php echo get_option('woo_flickr_id'); ?>"></script>
            </li>								
			</ul>
		</div>
	
<?php 	

}

function SidePopular()
{

?>

	<div class="widget popular-widget"><h3><?php _e('Popular Content',woothemes); ?></h3>
		<ul>
			 <?php $popular = new WP_Query('caller_get_posts=1&orderby=comment_count&order=DESC&showposts=8'); while ($popular->have_posts()) : $popular->the_post(); $do_not_duplicate = $post->ID; $preview = get_post_meta($post->ID, 'preview', true); ?>
				<li class="popular">
                
					<?php woo_image('height=138&width=216&class=post-preview left'); ?>
                    
					<p><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to',woothemes); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a><br /><span class="small arial"><?php _e('Posted on',woothemes); ?> <?php the_time('F jS, Y') ?></span></p>
                </li>
			<?php endwhile; ?>
		</ul>
	</div>
	
<?php 	

}
function Papercut_Tag_Cloud()
{

?>

		<div class="widget tag-cloud-widget">
        	<h3><?php _e('Tag Cloud',woothemes); ?></h3>
			<ul><li class="tag_cloud clearfix"><?php if (function_exists('wp_tag_cloud')) { wp_tag_cloud('smallest=10&largest=18'); } ?></li></ul>
		</div>
	
<?php 	

}

register_sidebar_widget('180x150 Ad Blocks', 'BlockAds');
register_sidebar_widget('Sidebar Popular Content', 'SidePopular');
register_sidebar_widget('Flickr Photos', 'FlickrBox');
register_sidebar_widget('Papercut Tag Cloud', 'Papercut_Tag_Cloud');

?>