<?php
	get_header();
	$intro_text = stripslashes( get_option( 'woo_intro' ) );
	
	if ( $intro_text != '' ) {
?>
    <!-- Intro Text -->
	<div class="box4">
		<div class="top"></div>
		<div class="spacer">
			<span class="intro"><?php echo $intro_text; ?></span>
		</div>
		<!--/spacer -->
		<div class="bot"></div>
	</div>
	<!--/box4 -->
<?php } ?>   
    <!-- Featured Slider -->
    <?php get_template_part( 'includes/featured' ); ?>

    <!-- Bottom Widgets -->
	<?php if ( function_exists( 'woo_sidebar' ) && ( woo_active_sidebar( 'home-1' ) || woo_active_sidebar( 'home-2' ) || woo_active_sidebar( 'home-3' ) ) ) { // Don't show on the front page ?>
    
	<div id="columns">
		<div class="col6">
			<?php woo_sidebar( 'home-1' ); ?>		           
		</div>
		<!--/col6 -->
		<div class="col6">
			<?php woo_sidebar( 'home-2' );  ?>		           
		</div>
		<!--/col6 -->
		<div class="col6 last">
			<?php woo_sidebar( 'home-3' );  ?>		           
		</div>
		<!--/col6 -->
		<br class="fix" />
	</div>
	<!--/columns -->
    
    <?php } ?>
<?php get_footer(); ?>    
      