<?php
include('wpdp.php'); include('wpdf.php'); //include('wpdd.php');
define('AMAZON_URL', WP_CONTENT_URL . '/plugins/' . plugin_basename(dirname(__FILE__)) . '/');
add_action('init', 'ama_set_jscss', 1);
/**
 * 
    Plugin Name: WP-DOLLAR V1.2
    Plugin URI: http://www.wpdollar.com/
    Description: WP-Dollar is an Amazon Plugin for Wordpress that creates Amazon Ads to display on your blog and creates SEOed Amazon reviews posts to promote Amazon Affiliate Products.
    Version: 1.2
    Author: Abhi Dwivedi & Martin Crumlish
    Author URI: http://www.wpdollar.com/
*/
function wpd_add_options_page() {
	add_menu_page(__('General Setting'), __('WP-DOLLAR'), 'edit_themes', 'wpd_general_setting', 'wpd_option_page', '');
	add_submenu_page('wpd_general_setting', __('General'), __('General'), 'edit_themes', 'wpd_general_setting', 'wpd_option_page');
	add_submenu_page('wpd_general_setting', __('SEO'), __('SEO'), 'edit_themes', 'wpd_setting', 'wpd_general_setting_page');
	add_submenu_page('wpd_general_setting', __('Ad Unit'), ('Ad Unit'), 'edit_themes', 'ad_unit', 'wpd_settings_panel');
 	add_submenu_page('wpd_general_setting', __('Text Ad Campaign'), ('Text Ad Campaign'), 'edit_themes', plugin_basename(__FILE__) . '-campaigns', 'wpd_campaigns_panel');
    add_submenu_page('wpd_general_setting', __('Post Campaign'), __('Post Campaign'), 'edit_themes', 'create_campaigns', 'wpd_campaign_creation');
	add_submenu_page('wpd_general_setting', __('View Created Campaign'), __('View Created Campaign'), 'edit_themes', 'wpd_api', 'wpd_list_view');
    add_submenu_page('wpd_general_setting', __('Add Banner'), ('Add Banner'), 'edit_themes', plugin_basename(__FILE__) . '-banners', 'wpd_banners_panel');
	wp_enqueue_script('wpd_api', AMAZON_URL . 'js/script.js');
	wp_enqueue_style('wpd_api_css', AMAZON_URL . 'css/style.css');
}

function ama_set_jscss() {
	wp_enqueue_script('ama-js', AMAZON_URL . '/js/IFrame.js');	wp_enqueue_style('wpd_api', AMAZON_URL . 'css/amazon.css');
}

function ama_install() {
  global $wpdb; $options = wpd_options();
  foreach ($options as $option => $value) {    if (! get_option('wpd_' . $option)) {      update_option('wpd_' . $option, $value);    }  }
  $ads_table = $wpdb->prefix . 'wpd_ads';   $cmp_table = $wpdb->prefix . 'wpd_campaigns';
  $sql1 = "CREATE TABLE IF NOT EXISTS $ads_table (
    `id` INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY, `adname` VARCHAR( 100 ) NOT NULL,
    `adtop` TINYINT UNSIGNED NOT NULL,`adbottom` TINYINT UNSIGNED NOT NULL,
    `adcode` TEXT NOT NULL,`adalign` ENUM( 'left', 'right', 'center' ) NOT NULL DEFAULT 'center',
    `adcats` TEXT NOT NULL,`isactive` tinyint(1) NOT NULL default '0') ENGINE = InnoDB;";
  $sql2 = "CREATE TABLE IF NOT EXISTS $cmp_table (
      `id` int(10) unsigned NOT NULL auto_increment, `cmpname` varchar(100) NOT NULL,
      `tid` varchar(20) NOT NULL,`keywords` varchar(255) NOT NULL,
      `cmptop` tinyint(1) NOT NULL,`cmpbottom` tinyint(1) NOT NULL,
      `show_cats` text NOT NULL,`is_active` tinyint(1) NOT NULL default '0', PRIMARY KEY  (`id`)) ENGINE=InnoDB;  ";
  require_once ABSPATH . 'wp-admin/includes/upgrade.php';
        dbDelta($sql1);  dbDelta($sql2);
    	$ama_db_version = "1.9";
    	if (!(get_option('ama_db_ver'))) {ama_create_table();add_option('ama_db_ver', $ama_db_version); }
    	if (get_option('ama_db_ver') < $ama_db_version) {ama_alter_table();	update_option('ama_db_ver', $ama_db_version); } }
        register_activation_hook(__FILE__, 'ama_install');
        if (get_option('admin_menu') == 'wpd_add_options_page')	update_action('admin_menu', 'wpd_add_options_page'); else add_action('admin_menu', 'wpd_add_options_page');
        define('MISSEDSCHEDULED_DELAY', 2);


function wpd_missed_init() {
	global $wpdb;
	$last = get_option('missed_schedule', false);
	if (($last !== false) && ($last > (time() - (MISSEDSCHEDULED_DELAY * 60))))		return;
	update_option('missed_schedule', time());
	$missedIDs = $wpdb->get_col("SELECT `ID` FROM `{$wpdb->posts}` " ."WHERE ( " ."    ( " .	"    ((`post_date_gmt` > 0) && (`post_date_gmt` <= UTC_TIMESTAMP())) " .")) AND `post_status` = 'future'" );
	if (!count($missedIDs))		return;
	foreach ($missedIDs as $missedID) {		if (!$missedID)			continue;		wp_publish_post($missedID); } }
    add_action('init', 'wpd_missed_init', 0);    $plugin = plugin_basename(__FILE__);    $plugin_data = "this is plugin flle $plugin";    $context = "this is plugin flle $plugin";    add_filter('the_content', 'ama_post_load');
?>