<?php

class com_process {

    public function __construct() {
        
    }

    public function save_setting() {
        $arrRemove = array('submit');
        foreach ($_POST as $key => $value) {
            if (in_array($key, $arrRemove))
                continue;
            update_option($key, $value);
        }
    }

    public function redirect_page($location) {
        ?>
        <SCRIPT language="JavaScript">
            window.location="<?php echo $location; ?>";
        </SCRIPT>
        <?php
    }

    public function get_email_field($author, $email) {
        $field = array();
        $formcode = stripslashes(get_option('com_html_code'));
        $pattern = '/<input(.*?)>/s';
        preg_match_all($pattern, $formcode, $matchesArray);
        if (count($matchesArray[0]) > 0) {
            $fieldValue = "";
            for ($i = 0; $i < count($matchesArray[0]); $i++) {
                $matchesName = $this->get_match_data($matchesArray[0][$i], 'name');
                $matchesValue = $this->get_match_data($matchesArray[0][$i], 'value');
                if (count($matchesName[1][0]) > 0) {
                    $fieldname = str_replace(array("'", '"'), "", strtolower($matchesName[1][0]));
                    switch ($fieldname) {
                        case 'name':
                        case 'fields_fname':
                        case 'mmerge3':
                        case 'customfield3600':
                        case 'formvalue_fields[customfield9101]':    
                            $fieldValue[] = $matchesName[1][0] . '=' . $author;
                            break;
                        case 'email':
                        case 'fields_email':
                        case 'formvalue_fields[emailaddress]':
                            $fieldValue[] = $matchesName[1][0] . '=' . $email;
                            break;
                        case 'redirect':
                        case 'errorredirect':
                            break;
                        default :
                            $fieldValue[] = $matchesName[1][0] . '=' . $matchesValue[1][0];
                            break;
                    }
                }
            }
        }
        return $fieldValue;
    }

    public function get_form_action_method() {
        $field = array();
        $formcode = stripslashes(get_option('com_html_code'));
        $pattern = '/<form(.*?)>/s';
        preg_match_all($pattern, $formcode, $matchesArray);
        if (count($matchesArray[0]) > 0) {
            $actionarray = $this->get_match_data($matchesArray[0][0], 'action');
            $arrayForm['action'] = $actionarray[1][0];
            $methodarray = $this->get_match_data($matchesArray[0][0], 'method');
            $arrayForm['method'] = strtolower($methodarray[1][0]);
        }
        return $arrayForm;
    }

    public function get_match_data($string, $value) {
        $pattern = '/' . $value . '="(.*?)"/s';
        $pattern2 = '/' . $value . '=(.*?) /s';
        $pattern3 = '/' . $value . '=(.*?)>/s';
        $pattern4 = "/$value='(.*?)'/s";
        preg_match_all($pattern, $string, $matcharray);
        if (is_array($matcharray) && $matcharray[1][0] == "") {
            preg_match_all($pattern2, $string, $matcharray);
        }
        if (is_array($matcharray) && $matcharray[1][0] == "") {
            preg_match_all($pattern3, $string, $matcharray);
        }
        if (is_array($matcharray) && $matcharray[1][0] == "") {
            preg_match_all($pattern4, $string, $matcharray);
        }
        return $matcharray;
    }

}
?>