<?php get_header(); ?>

<div id="column1">
	
	<div id="browsing">
	
		<?php if (is_category()) { ?>
                <h1><?php _e('Archive', 'themejunkie'); ?> : <?php echo single_cat_title(); ?></h1>
                <span class="catfeed"><?php $cat_obj = $wp_query->get_queried_object(); $cat_id = $cat_obj->cat_ID; echo '<a href="'; get_category_rss_link(true, $cat, ''); echo '">RSS feed</a>'; ?></span>
                            
                <?php } elseif (is_day()) { ?>
                <h1><?php _e('Archive for', 'themejunkie'); ?> <?php the_time('F jS, Y'); ?></h1>
    
                <?php } elseif (is_month()) { ?>
                <h1><?php _e('Archive for', 'themejunkie'); ?> <?php the_time('F, Y'); ?></h1>
    
                <?php } elseif (is_year()) { ?>
                <h1><?php _e('Archive for', 'themejunkie'); ?> <?php the_time('Y'); ?></h1>
    
                <?php } elseif (is_author()) { ?>
                <h1><?php _e('Archive by Author', 'themejunkie'); ?></span>
    
                <?php } elseif (is_tag()) { ?>
                <h1><?php _e('Tag Archives', 'themejunkie'); ?> : <?php echo single_tag_title('', true); ?></h1>
                
 		<?php } ?>
 		
	</div> <!--end #browsing-->
	
	<?php if (have_posts()) : ?>

	<?php while (have_posts()) : the_post(); ?>
			
		<div class="post">
			
			<div id="post-<?php the_ID(); ?>" class="postbox">
				
	           	<div class="post-thumb">
	           		<?php tj_show_thumb('boxthumbw', 'boxthumbh'); ?>
	           	</div> <!--end .post-thumb-->
	            	
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					
	    		<div class="post-date">
	    			<em><?php _e('Posted by', 'themejunkie'); ?> <?php the_author_posts_link(); ?> <?php _e('on', 'themejunkie'); ?> <?php the_time('F j, Y'); ?></em>
	    		</div> <!--end .post-date-->
	
	            <div class="post-exerpt">
					<?php tj_content_limit(get_theme_mod('limit_char')); ?>
	            </div> <!--end .post-excerpt-->
	                
	            <div class="clear"></div>
	                
			</div> <!--end .postbox-->
				
			<div class="post-bottom">
				
				<div class="filedin">
					<?php _e('Filed in', 'themejunkie'); ?>: <?php the_category(', ')?>
				</div> <!--end .filedin-->
					
				<div class="small-comment-cloud">
					<?php comments_popup_link('0', '1', '%', 'comments-link', ''); ?> 
				</div> <!--end .small-comment-cloud-->
					 	
			 	<div class="clear"></div>
				 
			</div> <!--end .post-bottom-->
				
			<div class="clear"></div>	
			
		</div> <!--end .post-->

	<?php endwhile; ?>
		
		<div class="clear"></div>

		<div class="pagination">
		    <?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
		    <div class="left"><?php previous_posts_link(__('Newer Entries', 'themejunkie')) ?></div>
		    <div class="right"><?php next_posts_link(__('Older Entries', 'themejunkie')) ?></div>
		    <div class="clear"></div>
		    <?php } ?> 
		</div> <!--end .pagination-->	

	<?php else : ?>
		
	<?php endif; ?>

</div> <!--end #column1-->

<?php get_sidebar(); ?>

<?php get_footer(); ?>
