<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title>
<?php bloginfo('name'); ?>
<?php wp_title(); ?>
</title>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/images/favicon.ico" />
<?php if (function_exists('wp_enqueue_script') && function_exists('is_singular')) : ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php endif; ?>
<?php wp_head(); ?>

<script language="javascript" type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascripts/jquery.js"></script>
<script language="javascript" type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascripts/tabber.js"></script>
<script language="javascript" type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascripts/superfish.js"></script>

<!--[if lt IE 7]>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascripts/pngfix.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascripts/menu.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_url'); ?>/css/ie.css" />
<![endif]-->
</head>

<body>

<?php if (is_home()) add_filter('img_caption_shortcode', create_function('$a, $b, $c','return $c;'), 10, 3); ?> 

<div id="top">

	<div class="wrap">
	
	<?php 
		$pagesNav = '';
		if (function_exists('wp_nav_menu')) {
			$pagesNav = wp_nav_menu( array( 'theme_location' => 'header-pages', 'menu_class' => 'topnav', 'menu_id' => 'page-nav', 'echo' => false, 'fallback_cb' => '' ) );};
		if ($pagesNav == '') { ?>
		<ul id="page-nav" class="topnav">
			<li class="first"><a href="<?php bloginfo('siteurl'); ?>"><?php _e('Home', 'themejunkie'); ?></a></li>
			<?php wp_list_pages('title_li='); ?>
		</ul>
	<?php }
		else echo($pagesNav); 
	?>
    
    	<ul class="topnav right">
        	<li class="subscribe"><?php _e('Subscribe', 'themejunkie'); ?>:</li>
            <li class="first"><a href="<?php bloginfo('rss2_url'); ?>" title="Subscribe to RSS feed"><?php _e('Posts', 'themejunkie'); ?></a></li>
            <li><a href="<?php bloginfo('comments_rss2_url');?>" title="Subscribe to Comments feed"><?php _e('Comments', 'themejunkie'); ?></a></li>
            <li class="last"><a href="http://feedburner.google.com/fb/a/mailverify?uri=<?php echo get_theme_mod('feedburner_id'); ?>&amp;loc=en_US" rel="nofollow" target="_blank"><?php _e('Email', 'themejunkie'); ?></a></li>                
       	</ul>
    	
    	<div class="clear"></div>
    	
    </div> <!--end .wrap-->
    
</div> <!--end #top-->

<div id="header">

   	<div class="wrap">
   	
   		<div class="left">
    		
			<div id="logo">
			
				<!--begin of text logo-->
				<?php if (get_theme_mod('logo') == 'textlogo') { ?>
                	<h1><a href="<?php bloginfo('siteurl'); ?>" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h1>
                    <p><?php bloginfo('description'); ?></p>
				<?php } ?>
				<!--end of text logo-->
				
				<!--begin of image logo-->
				<?php if (get_theme_mod('logo') == 'imagelogo') { ?>
					<a href="<?php bloginfo('siteurl'); ?>" title="<?php bloginfo('description'); ?>">
					<?php if (get_theme_mod('logo_path') == '') { ?>
					<img src="<?php bloginfo('template_url'); ?>/images/logo.png" alt="<?php bloginfo('description'); ?>" /> 
					<?php } else { ?>
					<img src="<?php echo get_theme_mod('logo_path'); ?>" alt="<?php bloginfo('description'); ?>" /> 
					<?php } ?></a>
				<?php } ?>
				<!--end of image logo-->	

			</div> <!--end #logo-->
			
		</div> <!--end .left-->
		
		<div id="search">
			<form method="get" id="searchform" action="<?php bloginfo('url'); ?>">
				<input type="text" class="field" name="s" id="s"  value="<?php _e('Search in this site...', 'themejunkie') ?>" onfocus="if (this.value == '<?php _e('Search in this site...', 'themejunkie') ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e('Search in this site...', 'themejunkie') ?>';}" />
				<input class="submit btn" type="image" src="<?php bloginfo('template_directory'); ?>/images/icon-search.png" value="Go" />
			</form>
		</div><!--end #search -->
            
    </div> <!--end .wrap-->
        
</div> <!--end #header-->
    
<div id="cat-menu">
	
   	<div class="wrap">
    	
	<?php 
		$catNav = '';
		if (function_exists('wp_nav_menu')) {
			$catNav = wp_nav_menu( array( 'theme_location' => 'header-cats', 'menu_class' => 'nav', 'menu_id' => 'cat-nav', 'echo' => false, 'fallback_cb' => '' ) );};
		if ($catNav == '') { ?>
			<ul id="cat-nav" class="nav">
				<?php wp_list_categories('title_li=&orderby=id'); ?>
			</ul>
	<?php }
		else echo($catNav); 
	?>	 
		
	</div> <!--end .wrap-->
        
</div> <!--end #cat-nav-->
    
<div id="wrapper">    
