<?php get_header(); ?>

<div id="content">
	
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    	
    	<div class="post-header">
    	
		    <h2 class="post-title"><?php the_title(); ?></h2>
		    	    	
		    <p class="post-date">
		    	<em><?php _e('Posted by', 'themejunkie'); ?> <?php the_author_posts_link(); ?> <?php _e('on', 'themejunkie'); ?> <?php the_time('F j, Y'); ?>, <?php _e('filed in', 'themejunkie'); ?>: <?php the_category(', ')?></em>
		    </p> <!--end .post-date-->
	    
	    </div> <!--end .post-header-->
	    
	   	<div class="comment-cloud">
	   		<?php comments_popup_link('0', '1', '%', 'comments-link', ''); ?>
	   	</div> <!--end .comment-cloud-->
	    
	    <div class="clear"></div>
	    	
	   	<div class="entry">
	   	  	
	    	<?php the_content(); ?>
	    	
	    	<div class="clear"></div>
	    	
	    	<div class="tags">
	      		<?php the_tags(); ?>
	      		<?php edit_post_link('('.__('Edit', 'themejunkie').')', '', ''); ?>
	    	</div> <!--end .tags-->
	    	
	  	</div> <!--end .entry-->
	  	
	  	<div class="postnavi">
	  	
	 		<div class="left">
      		<?php previous_post_link('%link', '<p>&laquo; Previous</p>%title', TRUE);  ?>
    		</div>
    	
    		<div class="right">
      			<?php next_post_link('%link', '<p>Next &raquo;</p>%title', TRUE); ?>
    		</div>
    	
    		<div class="clear"></div>
    		
    	</div> <!--end .postnavi-->
    	
	  	<?php comments_template(); ?>
	  	
	<?php endwhile; else: ?>
	
		<h2 class="pagetitle"><?php _e('Not Found', 'themejunkie') ?></h2>
		
		<div class="entry">
			<p><?php _e('Sorry, no posts matched your criteria.', 'themejunkie') ?></p>
        </div> <!--end .entry -->
	
	<?php endif; ?>
	
</div> <!--end #content-->
	
<?php get_sidebar(); ?>

<?php get_footer(); ?>
