<?php
/*
Template Name: Portfolio
*/
?>

<?php get_header(); ?>
      
	<div id="columns" class="no-bg">
				
            <h2><?php _e('MY PORTFOLIO', 'woothemes'); ?></h2>
            
			<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=".$GLOBALS['ex_pf']."&paged=$paged"); if (have_posts()) : ?>
            <?php while (have_posts()) : the_post(); $count++; ?>

			<div class="box portfolio">

				<?php if ( get_post_meta($post->ID,'image', true) ) { ?> <!-- DISPLAYS THE IMAGE URL SPECIFIED IN THE CUSTOM FIELD -->
                
				<div class="pic fl">

					<?php if (get_option('woo_portfolio_resize') == "true") { // Check if we should use the image resizer ?>

						<?php 
							$height = get_option('woo_portfolio_image_height'); if ( $height <> "" ) $height = 180;
							$width = get_option('woo_portfolio_image_width'); if ( $width <> "" ) $width = 515;
							woo_image( 'width='.$width.'&height='.$height );						
						?>

                     <?php } else { ?>
                    
                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php echo get_post_meta($post->ID, "image", $single = true); ?>" alt="<?php the_title(); ?>" /></a>
                                    
                    <?php } ?>            

                </div>   	
               
				<?php } ?>										
                                
				<div class="item-text">

                    <h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
                    
                    <div class="portfolio-meta">
                    
					<?php if ( get_post_meta($post->ID, "url", $single = true) <> "" ) { ?>
                        <span class="website"><a href="<?php echo get_post_meta($post->ID, "url", $single = true); ?>" title="<?php _e('Visit The Website', 'woothemes'); ?>"><?php _e('Website', 'woothemes'); ?></a></span> 
					<?php } ?>
                        <span class="details"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php _e('Details', 'woothemes'); ?></a></span>
					<?php if ( get_post_meta($post->ID, "preview", $single = true) <> "" ) { ?>
						<span class="larger"><a href="<?php echo get_post_meta($post->ID, "preview", $single = true); ?>" title="<?php _e('Preview', 'woothemes'); ?> - <?php the_title(); ?>" rel="lightbox"><?php _e('Large Image', 'woothemes'); ?></a></span>
					<?php } ?>
                    </div>
                    <div class="fix"></div>
                                        
                    <?php the_excerpt(); ?>
                    
                </div>               
                
				<div class="fix"></div>
			</div>
			<!--/box-->
                                   
            <?php endwhile; ?>

            <?php endif; ?>
            
            <div class="navigation">
                <div class="fl"><?php next_posts_link(__('&laquo; Previous Entries', 'woothemes')) ?></div>
                <div class="fr"><?php previous_posts_link(__('Next Entries &raquo;', 'woothemes')) ?></div>
            </div>		

		<div class="fix"></div>
	</div>
	<!--/columns -->

<?php get_footer(); ?>