<?php get_header(); ?>

	<div id="columns">
		<div id="centercol">

            <div class="content">
                <?php if(have_posts()) : ?><?php while(have_posts()) : the_post() ?>
    
                <div id="post-<?php the_ID(); ?>" class="box post">

                    <h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
                    <div class="date fl"><?php the_time('F j, Y'); ?></div>

                    <?php if ( in_category($GLOBALS['ex_pf']) ) { ?>

                    <div class="portfolio-meta fr">
                    
					<?php if ( get_post_meta($post->ID, "url", $single = true) <> "" ) { ?>
                        <span class="website"><a href="<?php echo get_post_meta($post->ID, "url", $single = true); ?>" title="<?php _e('Visit The Website', 'woothemes'); ?>"><?php _e('Website', 'woothemes'); ?></a></span> 
					<?php } ?>
                        <span class="details"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php _e('Details', 'woothemes'); ?></a></span>
					<?php if ( get_post_meta($post->ID, "preview", $single = true) <> "" ) { ?>
						<span class="larger"><a href="<?php echo get_post_meta($post->ID, "preview", $single = true); ?>" title="<?php _e('Preview', 'woothemes'); ?> - <?php the_title(); ?>" rel="lightbox"><?php _e('Large Image', 'woothemes'); ?></a></span>
					<?php } ?>
                    </div>

                    <?php } ?>
                    
                                        
                    <div class="hl"></div>
    
                    <div class="entry">
                        
                    <?php if ( get_post_meta($post->ID,'image', true) ) { ?> <!-- DISPLAYS THE IMAGE URL SPECIFIED IN THE CUSTOM FIELD -->
    
						<?php if (get_option('woo_posts_resize') == "true") { // Check if we should use the image resizer ?>
            
                        <div class="pic">
                        	<a title="Permanent Link to <?php the_title(); ?>" href="<?php echo get_post_meta($post->ID, "image", $single = true); ?>" rel="lightbox" >
							<?php 
								$height = get_option('woo_posts_image_height'); if ( $height <> "" ) $height = 150;
								$width = get_option('woo_posts_image_width'); if ( $width <> "" ) $width = 440;
								woo_image( 'width='.$width.'&height='.$height.'&link=img' );						
							?>
                            </a>
                        </div>
                                                                                                                                                  
                        <?php } ?>            
    
                    <?php } ?>
                        
    
                        <?php the_content(); ?>
                    
                    </div><!-- /entry -->
                                        
                    <?php the_tags(__(' <p><strong>Tags: </strong>', 'woothemes'), ', ' , '</p>'); ?>
                
                </div>
                <!--/box-->
    
                <div id="comments"><?php comments_template(); ?></div>
    
                <?php endwhile; else : ?>
    
                <div class="post box">
                    <div class="entry-head"><h2><?php _e('404 - Not Found', 'woothemes'); ?></h2></div>
                    <div class="entry-content"><p><?php _e('The page you are looking for is not here.', 'woothemes'); ?></p></div>
                </div>
    
                <?php endif; ?>
            </div>
    
		</div>
		<!--/centercol -->

<?php get_sidebar(); ?>
    
		<div class="fix"></div>
	</div>
	<!--/columns -->

<?php get_footer(); ?>