<?php 
	
	$showfeatured = get_option('woo_featured_entries'); // Number of other entries to be shown
	$the_query = new WP_Query('cat=' . $GLOBALS[ex_feat] . '&showposts=' . $showfeatured . '&orderby=post_date&order=desc');			
	while ($the_query->have_posts()) : $the_query->the_post(); $do_not_duplicate = $post->ID;
?>

<div class="post">
	
	<div class="featured">
	

		<?php if ( get_post_meta($post->ID, 'image', true) ) { ?> <!-- DISPLAYS THE IMAGE URL SPECIFIED IN THE CUSTOM FIELD -->
			
			<?php if (get_option('woo_resize') == "false") { // Check if we should use the image resizer ?>
        
        <div class="pic">
        	<img src="<?php echo get_post_meta($post->ID, "image", $single = true); ?>" class="featured" alt="" />
            <h3><?php _e('Featured article',woothemes); ?></h3>
        </div>		

			<?php } else { ?>		
            					
		<div class="pic">
	        <?php woo_get_image('image', '475', '225','featured-img'); ?>        
			<h3><?php _e('Featured article',woothemes); ?></h3>
		</div>		
                    
			<?php } ?>            
			
		<?php } else { ?> <!-- DISPLAY THE DEFAULT IMAGE, IF CUSTOM FIELD HAS NOT BEEN COMPLETED -->
			
		<div class="pic" style="background: url(<?php bloginfo('template_directory'); ?>/images/default.jpg) no-repeat top left;">
			<h3><?php _e('Featured article',woothemes); ?></h3>
		</div>
			
		<?php } ?>                 
	
		<h2><a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		<p class="posted"><?php _e('Posted on',woothemes); ?> <?php the_time('d F Y'); ?></p>
		
		<p><?php echo strip_tags(get_the_excerpt(), '<a><strong>'); ?> <a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" class="more"><?php _e('Continue Reading...',woothemes); ?></a></p>
	
	</div><!--/featured-->
	
	<h3><span><?php the_category(', ') ?></span> <em><?php comments_popup_link(__('Comments (0)',woothemes), __('Comments (1)',woothemes), __('Comments (%)',woothemes)); ?></em></h3>

</div><!--/post-->

<?php endwhile; ?>