<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php woo_title(); ?></title>
	<?php woo_meta(); ?>

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
    <?php // Get archive link page id
		$is_video = get_option('woo_vidpage'); // Name of the archives page
		$is_video_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '$is_video'");							
		if ( is_page($is_video) or is_page($is_video_id) ) { 
	?>

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/mootools.js"></script>	
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/swfobject.js"></script>	
	<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/videobox.css" type="text/css" media="screen" />
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/videobox.js"></script>				

	<?php } ?>

    <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/suckerfish.js"></script>	

    <!--[if lt IE 7]>
    <script src="http://ie7-js.googlecode.com/svn/version/2.0(beta3)/IE7.js" type="text/javascript"></script>
    <![endif]-->

	<?php 
		// Includes for WooThemes functions
		include(TEMPLATEPATH . '/includes/categories.php');
	?>	
		
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

	<?php $template_path = get_bloginfo('template_directory'); $GLOBALS['defaultgravatar'] = $template_path . '/images/gravatar.jpg'; ?>

	<div id="pages-top">
		<div class="container clearfix">
			<?php
			if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
				wp_nav_menu( array( 'depth' => 5, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'pages-list', 'menu_class' => 'clearfix', 'theme_location' => 'primary-menu' ) );
			} else {
			?>
			<ul id="pages-list" class="clearfix">
			<?php
			if ( get_option('woo_custom_nav_menu') == 'true' ) {
        		if ( function_exists('woo_custom_navigation_output') )
					woo_custom_navigation_output('depth=3');

			} else { ?>
				<li class="blank"><a href="<?php bloginfo('url'); ?>" title="<?php _e('Return Home','woothemes'); ?>"><?php _e('Home','woothemes'); ?></a></li>
				<?php wp_list_pages('sort_column=menu_order&title_li=&depth=3'); ?>
			<?php } ?>
			</ul>
			<?php } ?>
			<div id="subscribe">
				<a class="rss" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" title="<?php _e('URL for Posts RSS 2.0 Feed','woothemes'); ?>"><?php _e('Grab the RSS feed','woothemes'); ?></a>
			</div>
		</div>
	</div>
    
	<div id="header">
		<div class="container clearfix">
			<div id="logo-back">
				<h1><?php bloginfo('name'); ?></h1>
				<a href="<?php bloginfo('url'); ?>"><img src="<?php if ( get_option('woo_logo') <> "" ) { echo get_option('woo_logo'); } else { ?><?php bloginfo('template_directory'); ?>/<?php woo_style_path(); ?>/logo-trans.png<?php } ?>" alt="<?php bloginfo('name'); ?>" /></a>
				<div id="search">
					<?php include(TEMPLATEPATH . '/searchform.php'); ?>
				</div>
			</div>
		</div>
	</div>
    
	<div id="categories">
		<div class="container">
			<?php
			if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
				wp_nav_menu( array( 'depth' => 5, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'category-list', 'menu_class' => 'clearfix', 'theme_location' => 'secondary-menu' ) );
			} else {
			?>
			<ul id="category-list" class="clearfix">
			<?php
			if ( get_option('woo_custom_nav_menu') == 'true' ) {
        		if ( function_exists('woo_custom_navigation_output') )
					woo_custom_navigation_output('name=Woo Menu 2&depth=3');

			} else { ?>
				<li<?php if(is_home()): ?> class="current-cat"<?php endif; ?>><a href="<?php bloginfo('url'); ?>"><?php _e('Home','woothemes'); ?></a></li>
				<?php wp_list_categories('title_li=&depth=3'); ?>
			<?php  } ?>
			</ul>
			<?php } ?>
		</div>
	</div>
	