<?php
/*
Template Name: Full Width
*/
?>

<?php get_header(); ?>
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); $preview = get_post_meta($post->ID, 'preview', true); ?>
		<div id="featured">
			<div class="container">
				<div class="featured-small clearfix">
					<h2 class="featured"><?php the_title(); ?></h2>
				</div>
			</div>
		</div>
        <div id="content">

            <div class="container clearfix">
                <div id="full-width">
                    <ul class="post-list clearfix">
                        <li class="post-last clearfix">
                            <div class="post-content" style="width:900px;">
                                <?php the_content(__('Continue Reading...',woothemes)); ?>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <?php endwhile; ?>
            <?php else: ?>
                <p><?php _e('Sorry, no posts matched your criteria.',woothemes); ?></p>
            <?php endif; ?>
        </div>
<?php get_footer(); ?>
