<?php

// Subscribe Widget
function subscribeWidget()
{
	$settings = get_option("widget_subscribewidget");

	$title = $settings['title'];

?>

		<h3>
        	<span class="subscribe" style="float:none;">
        		<img src="<?php echo bloginfo('template_directory')."/images/rss-trans.png"; ?>" height="16" width="16" alt=""/>&nbsp;<a href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" title="<?php _e('Subscribe', 'woothemes' ); ?>"><?php echo $title; ?></a>
            </span>
        </h3>		

<?php
}

function subscribeWidgetAdmin() {

	$settings = get_option("widget_subscribewidget");

	// check if anything's been sent
	if (isset($_POST['update_subscribe'])) {
		$settings['title'] = strip_tags(stripslashes($_POST['subscribe_title']));

		update_option("widget_subscribewidget",$settings);
	}

	echo '<p>
			<label for="subscribe_title">Title:
			<input id="subscribe_title" name="subscribe_title" type="text" class="widefat" value="'.$settings['title'].'" /></label></p>';
	echo '<input type="hidden" id="update_subscribe" name="update_subscribe" value="1" />';

}

register_sidebar_widget('Woo - Subscribe', 'subscribeWidget');
register_widget_control('Woo - Subscribe', 'subscribeWidgetAdmin', 400, 200);


// Flickr Widget
function flickrWidget()
{
	$settings = get_option("widget_flickrwidget");

	$id = $settings['id'];
	$number = $settings['number'];

?>

		<h3><span class="flickr"><img src="<?php echo bloginfo('template_directory')."/images/flickr-trans.png"; ?>" height="16" width="16" alt=""/>&nbsp;<?php _e('Flickr Photos', 'woothemes' ); ?></span></h3>
        <div class="flickr_photos">
                            
            <script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=<?php echo $number; ?>&amp;display=latest&amp;size=s&amp;layout=x&amp;source=user&amp;user=<?php echo $id; ?>"></script>

        </div>
        <div class="fix"></div>

<?php
}

function flickrWidgetAdmin() {

	$settings = get_option("widget_flickrwidget");

	// check if anything's been sent
	if (isset($_POST['update_flickr'])) {
		$settings['id'] = strip_tags(stripslashes($_POST['flickr_id']));
		$settings['number'] = strip_tags(stripslashes($_POST['flickr_number']));

		update_option("widget_flickrwidget",$settings);
	}

	echo '<p>
			<label for="flickr_id">Flickr ID (<a href="http://www.idgettr.com">idGettr</a>):
			<input id="flickr_id" name="flickr_id" type="text" class="widefat" value="'.$settings['id'].'" /></label></p>';
	echo '<p>
			<label for="flickr_number">Number of photos:
			<input id="flickr_number" name="flickr_number" type="text" class="widefat" value="'.$settings['number'].'" /></label></p>';
	echo '<input type="hidden" id="update_flickr" name="update_flickr" value="1" />';

}

register_sidebar_widget('Woo - Flickr', 'flickrWidget');
register_widget_control('Woo - Flickr', 'flickrWidgetAdmin', 400, 200);


// Ad widget
function adsWidget()
{

$img_url = array();
$dest_url = array();


	$numbers = range(1,4); 
	$counter = 0;

if (get_option('woo_ads_rotate')) {
	shuffle($numbers);
}
	
	foreach ($numbers as $number) {	
		$counter++;
		$img_url[$counter] = get_option('woo_ad_image_'.$number);
		$dest_url[$counter] = get_option('woo_ad_url_'.$number);
	}
	
?>
<div class="ads"> 
    <a href="<?php echo "$dest_url[1]"; ?>"><img src="<?php echo "$img_url[1]"; ?>" alt="Ad" /></a>
    <a href="<?php echo "$dest_url[2]"; ?>"><img src="<?php echo "$img_url[2]"; ?>" alt="Ad" /></a>
    <a href="<?php echo "$dest_url[3]"; ?>"><img src="<?php echo "$img_url[3]"; ?>" alt="Ad" /></a>
    <a href="<?php echo "$dest_url[4]"; ?>"><img src="<?php echo "$img_url[4]"; ?>" alt="Ad" /></a>
</div>
<!--/ads -->
<?php
}
register_sidebar_widget('Woo - Ads', 'adsWidget');


// Show readmore widget 
function readmoreWidget() {

	$settings = get_option("widget_readmorewidget");

	$title = $settings['title'];
	$text = $settings['text'];
	$btnlink = $settings['btnlink'];

?>
	<div class="widget">

        <h3><span><?php echo $title; ?></span></h3>
        <p><?php echo $text; ?></p>
        <div class="btn-rounded"><a href="<?php echo $btnlink; ?>"><span><?php _e('Read More', 'woothemes' ); ?></span></a></div>
        
	</div>
<?php
}

function readmorewidgetAdmin() {

	$settings = get_option("widget_readmorewidget");

	// check if anything's been sent
	if (isset($_POST['update_readmore'])) {
		$settings['title'] = strip_tags(stripslashes($_POST['readmore_title']));
		$settings['text'] = strip_tags(stripslashes($_POST['readmore_text']));
		$settings['btnlink'] = strip_tags(stripslashes($_POST['readmore_btnlink']));

		update_option("widget_readmorewidget",$settings);
	}

	echo '<p>
			<label for="readmore_title">Title:
			<input id="readmore_title" name="readmore_title" type="text" class="widefat" value="'.$settings['title'].'" /></label></p>';
	echo '<p>
			<label for="readmore_text">Text:
			<input id="readmore_text" name="readmore_text" type="text" class="widefat" value="'.$settings['text'].'" /></label></p>';
	echo '<p>
			<label for="readmore_btnlink">Button Link:
			<input id="readmore_btnlink" name="readmore_btnlink" type="text" class="widefat" value="'.$settings['btnlink'].'" /></label></p>';
	echo '<input type="hidden" id="update_readmore" name="update_readmore" value="1" />';

}

register_sidebar_widget('Woo - Read More', 'readmorewidget');
register_widget_control('Woo - Read More', 'readmorewidgetAdmin', 400, 200);

// =============================== Twitter widget ======================================
function twitterWidget()
{
	$number = 5;
	$title = "Twitter";
	$settings = get_option("widget_twitterwidget");
	if ($settings['number']) $number = $settings['number'];
	if ($settings['title']) $title = $settings['title'];

?>
<div class="widget widget_twitter"><h3><span><?php echo $title; ?></span></h3>
<ul id="twitter_update_list"><li></li></ul>		
</div><?php
}
register_sidebar_widget('Woo - Twitter', 'twitterWidget');

function twitterWidgetAdmin() {

	$settings = get_option("widget_twitterwidget");

	// check if anything's been sent
	if (isset($_POST['update_twitter'])) {
		$settings['username'] = strip_tags(stripslashes($_POST['twitter_username']));
		$settings['number'] = strip_tags(stripslashes($_POST['twitter_number']));
		$settings['title'] = strip_tags(stripslashes($_POST['twitter_title']));
		update_option("widget_twitterwidget",$settings);
	}

	echo '<p>
			<label for="twitter_username">Twitter username:
			<input id="twitter_username" name="twitter_username" type="text" class="widefat" value="'.$settings['username'].'" /></label></p>';

	echo '<p>
			<label for="twitter_number">Number of tweets (default = 5):
			<input id="twitter_number" name="twitter_number" type="text" class="widefat" value="'.$settings['number'].'" /></label></p>';
	echo '<p>
			<label for="twitter_title">Title
			<input id="twitter_title" name="twitter_title" type="text" class="widefat" value="'.$settings['title'].'" /></label></p>';
	echo '<input type="hidden" id="update_twitter" name="update_twitter" value="1" /></label>';


}
register_widget_control('Woo - Twitter', 'twitterWidgetAdmin', 200, 200);


/*---------------------------------------------------------------------------------*/
/* Testimonial widget */
/*---------------------------------------------------------------------------------*/
class Woo_Testimonial extends WP_Widget {

   function Woo_Testimonial() {
	   $widget_ops = array('description' => 'Add customer testimonial.' );
       parent::WP_Widget(false, __('Woo - Testimonial', 'woothemes'),$widget_ops);      
   }
   
   function widget($args, $instance) {  
    extract( $args );
   	$title = $instance['title'];
    $text = $instance['text']; 
	$citation = $instance['citation'];
	$unique_id = $args['widget_id'];
	?>

        <div id="testimonial_<?php echo $unique_id; ?>" class="widget">
        
            <h3><span><?php echo $title; ?></span></h3>
            <div class="quote fl"></div>
            <blockquote>
                <p><?php echo $text; ?></p>
            </blockquote>
            <cite>- <?php echo $citation; ?></cite> 
        
        </div>
   		
	<?php
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {        
   
       $title = esc_attr($instance['title']);
       $text = esc_attr($instance['text']);
	   $citation = esc_attr($instance['citation']);
       ?>
       <p>
	   	   <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('title'); ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('text'); ?>"><?php _e('Text:','woothemes'); ?></label>
			<textarea name="<?php echo $this->get_field_name('text'); ?>" class="widefat" id="<?php echo $this->get_field_id('text'); ?>"><?php echo $text; ?></textarea>
       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('citation'); ?>"><?php _e('Citation:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('citation'); ?>"  value="<?php echo $citation; ?>" class="widefat" id="<?php echo $this->get_field_id('citation'); ?>" />

       </p>
      <?php
   }
   
} 
register_widget('Woo_Testimonial');

?>