<?php get_header(); ?>

	<div id="columns">
		<div id="centercol">
			<div class="box">
				<div class="top"></div>
				<div class="spacer">

                    <h3><em><?php _e( 'Search Results for','woothemes' ); ?> "<?php printf( the_search_query() ); ?>
"</em></h3>
                        
					<?php if( have_posts() ) { ?>
					
					<?php while( have_posts() ) { the_post() ?>
        
                    <div id="post-<?php the_ID(); ?>" class="post">
    
						<?php $category = get_the_category(); // To show only 1 Category ?>            
                        <div class="btn-cat"><span class="btn-general"><?php the_category( ',' ); ?></span></div>
                        
                        <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php esc_attr_e( 'Permanent Link to','woothemes' ); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
                        <div class="date"><?php the_time( get_option( 'date_format' ) ); ?> <?php comments_popup_link( __( 'No comments yet','woothemes' ), __( '1 comment','woothemes' ), __( '% comments','woothemes' ) ); ?></div>
                        
                        <?php the_excerpt(); ?>
                        <div class="btn-continue"><a href="<?php the_permalink(); ?>"><?php _e( 'Continue Reading', 'woothemes' ); ?></a></div>
                    
                    </div>
                    <!--/post-->                            
        
                    <?php } // End WHILE Loop ?>

					<br class="fix" />
        
                    <?php } else { ?>
                    
                    <p><?php _e( 'Nothing found, please search again','woothemes' ); ?>.</p>
                    
                    <?php } ?>
                
				</div>
				<!--/spacer -->
				<div class="bot"></div>
			</div>
			<!--/box -->
		</div>
		<!--/centercol -->

<?php get_sidebar(); ?>

		<br class="fix" />
	</div>
	<!--/columns -->

<?php get_footer(); ?>