<?php
/*
Template Name: Blog
*/
?>
<?php get_header(); ?>

	<div id="columns">
		<div id="centercol">
			<div class="box">
				<div class="top"></div>
				<div class="spacer">

					<?php 
					// WP 3.0 PAGED BUG FIX
					 query_posts( "post_type=post&paged=$paged" ); 
					?>
					<?php if( have_posts() ) { ?>
					
					<?php while( have_posts() ) { the_post() ?>
        
                    <div id="post-<?php the_ID(); ?>" class="post">
    
						<?php $category = get_the_category(); // To show only 1 Category ?>            
                        <div class="btn-cat"><span class="btn-general"><?php the_category( ',' ); ?></span></div>
                        
                        <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php esc_attr_e( 'Permanent Link to', 'woothemes' ); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
                        <div class="date"><?php the_time( get_option( 'date_format' ) ); ?> <?php comments_popup_link( __( 'No comments yet', 'woothemes' ), __( '1 comment', 'woothemes' ), __( '% comments', 'woothemes' ) ); ?></div>
                        
						<?php if ( get_option( 'woo_post_content' ) == 'content' ) { the_content( __( '<div class="btn-continue">Continue Reading</div>', 'woothemes' ) ); } else { the_excerpt(); ?>
                        <div class="btn-continue"><a href="<?php the_permalink(); ?>"><?php _e( 'Continue Reading', 'woothemes' ); ?></a></div>
                        <?php } ?>
                    	<div class="fix"></div>
                    </div>
                    <!--/post-->                            
        
                    <?php } // End WHILE Loop ?>
        
					<div class="btn-arr fl"><?php next_posts_link( __( '&laquo; Older Entries', 'woothemes' ) ); ?></div>
					<div class="btn-arr fr"><?php previous_posts_link( __( 'Newer Entries &raquo;', 'woothemes' ) ); ?></div>
					<br class="fix" />
        
                    <?php } ?>
                    <?php wp_reset_query(); ?>
                
				</div>
				<!--/spacer -->
				<div class="bot"></div>
			</div>
			<!--/box -->
		</div>
		<!--/centercol -->

<?php get_sidebar(); ?>

		<br class="fix" />
	</div>
	<!--/columns -->

<?php get_footer(); ?>