<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes() ?>>

<head profile="http://gmpg.org/xfn/11">
		
		<title><?php woo_title(); ?></title>
		<?php woo_meta(); ?>

		<link rel="alternate" type="application/rss+xml" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" title="<?php echo wp_specialchars(get_bloginfo('name'), 1) ?> <?php _e('Posts RSS feed', 'woothemes'); ?>" />
		<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('comments_rss2_url') ?>" title="<?php echo wp_specialchars(get_bloginfo('name'), 1) ?> <?php _e('Comments RSS feed', 'woothemes'); ?>" />
		<link rel="pingback" href="<?php bloginfo('pingback_url') ?>" />
		<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
		<!--[if lte IE 7]>
			<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_directory'); ?>/ie.css" />
		<![endif]-->
		<!--[if lte IE 6]>
			<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_directory'); ?>/ie6.css" />
		<![endif]-->
		<?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>
		<?php wp_head() ?>
		
		<?php  //include('includes/cat-info.php'); ?>

</head>

<?php $port_cat = get_option('woo_portfoliocat'); if ( $port_cat <> "Select a category:" ) $GLOBALS['port_id'] = get_cat_id($port_cat); ?>
<?php $blog_cat = get_option('woo_blogcat'); if ( $blogt_cat <> "Select a category:" ) $GLOBALS['blog_id'] = get_cat_id($blog_cat); ?>
	
<body class="<?php sandbox_body_class() ?> hfeed">
	
<div class="wrapper">
	<div class="header-left">
        <h1><a href="<?php bloginfo('url'); ?>">
        <?php if ( get_option('woo_logo') != "" ) { ?>
        <img src="<?php if ( get_option('woo_logo') != "" ) { echo get_option('woo_logo'); } else { bloginfo('name'); } ?>" alt="<?php bloginfo('name'); ?>" />
        <?php } else { bloginfo('name'); } ?>
       	</a></h1>	
		<?php
		if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
			wp_nav_menu( array( 'depth' => 4, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_class' => 'nav', 'theme_location' => 'primary-menu' ) );
		} else {
		?>
        <ul class="nav">
        
        <?php 
        	if ( get_option('woo_custom_nav_menu') == 'true' ) {
        		if ( function_exists('woo_custom_navigation_output') )
					woo_custom_navigation_output();

			} else { ?>
        
         <li <?php if ( is_home() ) { ?> class="current_page_item" <?php } ?> id="homeButton"><a href="<?php echo get_option('home'); ?>/"><?php _e('Home','woothemes'); ?></a></li>
         
         <?php if($GLOBALS['port_id']){ ?>
         <li class="page_item<?php if ( is_category($GLOBALS['port_id']) OR (in_category($GLOBALS['port_id']) AND is_single()) ) { echo ' current_page_item'; } ?> id="homeButton">
         	<a href="<?php echo get_category_link($GLOBALS['port_id']); ?>"><?php echo get_option('woo_portfolioname'); ?></a>
         </li>
 		 <?php } ?>
		 <?php if($GLOBALS['blog_id']){ ?>
		 <li class="page_item<?php if ( is_category($GLOBALS['blog_id']) OR (in_category($GLOBALS['blog_id']) AND is_single()) ) { echo ' current_page_item'; } ?> id="homeButton"><a href="<?php echo get_category_link($GLOBALS['blog_id']); ?>"><?php echo get_option('woo_blogname'); ?></a></li>
		<?php } ?>
                    
            <?php wp_list_pages('sort_column=menu_order&title_li='); ?>
    	<?php } ?>
        </ul><!-- .nav -->
		<?php } ?>
    </div>	
   
	<p class="description"><?php bloginfo('description') ?> <a href="<?php echo get_option('woo_about'); ?>" title="<?php _e('Read more about me...','woothemes'); ?>"><?php _e('Read more','woothemes'); ?> &#187;</a></p> 
    <div class="clear header-clear"></div>	
			