<?php



function woo_options() {
// VARIABLES
$themename = "ProudFolio";
$shortname = "woo";
$manualurl = 'http://www.woothemes.com/support/theme-documentation/proudfolio/';



$GLOBALS['template_path'] = get_bloginfo('template_directory');

//Access the WordPress Categories via an Array
$woo_categories = array();  
$woo_categories_obj = get_categories('hide_empty=0');
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$woo_pages = array();
$woo_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($woo_pages_obj as $woo_page) {
    $woo_pages[$woo_page->ID] = $woo_page->post_name; }
$woo_pages_tmp = array_unshift($woo_pages, "Select a page:");       


//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options


$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");

// THIS IS THE DIFFERENT FIELDS
$options = array();   

$options[] = array( "name" => "General Settings",
                    "type" => "heading");
                        
$options[] = array( "name" => "Theme Stylesheet",
					"desc" => "Select your themes alternative color scheme.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);

$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo (360px x 100px) for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");						
                                                                                    
$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px <a href='http://www.faviconr.com/'>ico image</a> that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 
                                               
$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");        

$options[] = array( "name" => "RSS URL",
					"desc" => "Enter your preferred RSS URL. (Feedburner or other)",
					"id" => $shortname."_feedburner_url",
					"std" => "",
					"type" => "text");
                    
$options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");
    
$options[] = array( "name" => "Layout Options",
					"type" => "heading");    

$options[] = array(	"name" => "About Page",
						"desc" => "Enter the URL of your about page.",
						"id" => $shortname."_about",
						"std" => "",
						"type" => "text");

$options[] = array( 	"name" => "Portfolio Category",
					   "desc" => "Select the category that you would like to use as your base Portfolio category.",
						"id" => $shortname."_portfoliocat",
						"std" => "Select a category:",
						"type" => "select",
						"options" => $woo_categories);	
						
$options[] = array(	"name" => "Portfolio Link Name",
						"desc" => "Enter the name of your portfolio link.",
						"id" => $shortname."_portfolioname",
						"std" => "Portfolio",
						"type" => "text");	
						
$options[] = array(	"name" => "Portfolio Thumb Lightbox/Link",
						"desc" => "Enable to add lightbox to the Portfolio Thumbnails (lightbox popup will be image specified in the post custom field)",
						"id" => $shortname."_port_thumbs_lightbox",
						"std" => "off",
						"type" => "checkbox");											
										
															

$options[] = array( 	"name" => "Blog Category",
					   "desc" => "Select the category that you would like to use as your base Blog category.",
						"id" => $shortname."_blogcat",
						"std" => "Select a category:",
						"type" => "select",
						"options" => $woo_categories);
						
$options[] = array(	"name" => "Blog Link Name",
						"desc" => "Enter the name of your blog link.",
						"id" => $shortname."_blogname",
						"std" => "Blog",
						"type" => "text");																					

$options[] = array(	"name" => "Number of Blog Entries",
						"desc" => "Select the number of blog entries that should appear on the homepage.",
			    		"id" => $shortname."_blogs",
			    		"std" => "Select a Number:",
			    		"type" => "select",
			    		"options" => $other_entries);	

$options[] = array(	"name" => "Footer Disclaimer",
						"desc" => "Type the message you'd like to display as the disclaimer in the footer",
						"id" => $shortname."_disclaimer",
						"std" => "",
						"type" => "textarea");																														
 
$options[] = array( "name" => "Dynamic Images",
				    "type" => "heading");    

$options[] = array( "name" => "Enable Dynamic Image Resizer",
					"desc" => "This will enable the thumb.php script. It dynamicaly resizes images on your site.",
					"id" => $shortname."_resize",
					"std" => "false",
					"type" => "checkbox");    
                                                                                                                    

update_option('woo_template',$options);      
update_option('woo_themename',$themename);   
update_option('woo_shortname',$shortname);
update_option('woo_manual',$manualurl);

                                     
// Woo Metabox Options
                    

$woo_metaboxes = array(

        "image" => array (
            "name" => "image",
            "label" => "Image",
            "type" => "upload",
			"desc"      => "General Preview Image (600x200px). "
        ),
		"thumb" => array (
			"name"		=> "thumb",
			"label" 	=> "Thumbnail",
			"type" 		=> "upload",
			"desc"      => "Thumbnail (120x120px)."
        ),
		"preview" => array (
			"name"		=> "preview",
			"label" 	=> "Preview",
			"type" 		=> "text",
			"desc"      => "Enter the URL for the Larger preview image (Lightbox)."
		),
		"url" => array (
			"name"		=> "url",
			"label" 	=> "Url",
			"type" 		=> "text",
			"desc"      => "Enter the URL for the Visit website link."
		),
    );
    
// Add extra metaboxes through function
if ( function_exists("woo_metaboxes_add") )
	$woo_metaboxes = woo_metaboxes_add($woo_metaboxes);
    
if ( get_option('woo_custom_template') != $woo_metaboxes) update_option('woo_custom_template',$woo_metaboxes);      

/*
function woo_update_options(){
        $options = get_option('woo_template',$options);  
        foreach ($options as $option){
            update_option($option['id'],$option['std']);
        }   
}

function woo_add_options(){
        $options = get_option('woo_template',$options);  
        foreach ($options as $option){
            update_option($option['id'],$option['std']);
        }   
}


//add_action('switch_theme', 'woo_update_options'); 
if(get_option('template') == 'wooframework'){       
    woo_add_options();
} // end function 
*/


}

add_action( 'admin_head','woo_options' );  

?>